package com.sun.xml.internal.ws.api.model.wsdl.editable;

import com.sun.xml.internal.ws.api.model.wsdl.WSDLOperation;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLBoundPortType;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLPart;
import javax.jws.soap.SOAPBinding;
import java.util.Map;
import com.sun.istack.internal.Nullable;
import javax.jws.WebParam;
import com.sun.istack.internal.NotNull;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLBoundOperation;

public interface EditableWSDLBoundOperation extends WSDLBoundOperation
{
    @NotNull
    public abstract EditableWSDLOperation getOperation();
    
    @NotNull
    public abstract EditableWSDLBoundPortType getBoundPortType();
    
    @Nullable
    public abstract EditableWSDLPart getPart(@NotNull String p0, @NotNull WebParam.Mode p1);
    
    @NotNull
    public abstract Map<String, ? extends EditableWSDLPart> getInParts();
    
    @NotNull
    public abstract Map<String, ? extends EditableWSDLPart> getOutParts();
    
    @NotNull
    public abstract Iterable<? extends EditableWSDLBoundFault> getFaults();
    
    public abstract void addPart(EditableWSDLPart p0, WebParam.Mode p1);
    
    public abstract void addFault(@NotNull EditableWSDLBoundFault p0);
    
    public abstract void setAnonymous(WSDLBoundOperation.ANONYMOUS p0);
    
    public abstract void setInputExplicitBodyParts(boolean p0);
    
    public abstract void setOutputExplicitBodyParts(boolean p0);
    
    public abstract void setFaultExplicitBodyParts(boolean p0);
    
    public abstract void setRequestNamespace(String p0);
    
    public abstract void setResponseNamespace(String p0);
    
    public abstract void setSoapAction(String p0);
    
    public abstract void setStyle(SOAPBinding.Style p0);
    
    public abstract void freeze(EditableWSDLModel p0);
}
